# Vix

## About
Vix is for building boilerplate Typescript monolith repo using [Vite](https://vitejs.dev/) with [React](https://react.dev/) and [Express](https://expressjs.com/)

## Additional Modules to consider
- [Tanstack Query](https://tanstack.com/query/latest) `npm i --save-dev @tanstack/react-query`
- [Kubernetes Client](https://www.npmjs.com/package/@kubernetes/client-node) `npm i --save @kubernetes/client-node`
- [Socket IO Full](https://socket.io/) `npm i --save socket.io`
- [Socket IO Client](https://socket.io/) `npm i --save-dev socket.io-client`

## Structure
```tree
├── lib
│   ├── controllers
│   ├── crons
│   ├── router
│   │   ├── middlewares
│   │   ├── routes
│   │   ├── ClientErrors.ts
│   │   ├── router.ts
│   ├── services
│   ├── types
│   │   ├── structs
│   ├── GeneratedStructs.ts
│   ├── util
│   ├── app.ts & Vix.ts
├── public
├── src
│   ├── util
│   │   ├── api
│   │   │   ├── auth.ts
│   │   │   ├── GeneratedRequests.ts
│   │   │   ├── requests.ts
├── dist
├── node_modules
├── package.json
├── package-lock.json
└── .gitignore
```