import { Request, Response, NextFunction } from "express";
import { ClientErrorLoggers, SerializedClientError } from "../types/express/ClientError.js";
export declare function clientErrorRoute(errorLoggers?: ClientErrorLoggers, updateClient?: boolean): (e: Error, req: Request, res: Response, _next: NextFunction) => void;
export default class ClientError extends Error {
    readonly statusCode: number;
    readonly message: string;
    location?: string;
    detail?: string;
    data?: object;
    isError(e: ClientError): boolean;
    isSerailized(e: SerializedClientError): boolean;
    serialize(): SerializedClientError;
    constructor(statusCode: number, message: string, optionalArgs?: {
        readonly detail?: string;
        readonly location?: string;
        readonly data?: object;
    });
}
