import { Router } from "express";
const defaultHeaders = ["x-real-ip", "x-forwarded-for"];
function parseIpHeaders(headers, toCheck) {
    for (const h of toCheck) {
        if (h in headers)
            return headers[h];
    }
}
export default function clientIpMiddleware(proxyHeader) {
    const middlewares = Router();
    function clientIpMiddleware(req, _res, next) {
        const toCheck = !!proxyHeader ? [proxyHeader, ...defaultHeaders] : defaultHeaders;
        const headerIp = parseIpHeaders(req.headers, toCheck);
        const ip = headerIp ?? req.socket.remoteAddress;
        req.clientIp = (Array.isArray(ip) ? ip[0] : ip) ?? "127.0.0.1";
        next();
    }
    middlewares.use(clientIpMiddleware);
    middlewares.routeMetadata = { useClientIp: true };
    return middlewares;
}
