import { Request, Response, NextFunction } from "express";
import ClientError from "../../express/ClientErrors.js";
export declare type ClientErrorHandler = ((clientError: ClientError | Error, expressData: ClientErrorExpressData) => void) | boolean;
export interface ClientErrorExpressData {
    req: Request;
    res: Response;
    next: NextFunction;
}
export interface ClientErrorLoggers {
    expectedError?: ClientErrorHandler;
    unexpectedError?: ClientErrorHandler;
}
export interface SerializedClientError {
    readonly code: number;
    readonly msg: string;
    loc?: string;
    readonly detail?: string;
    readonly data?: object;
}
