export declare enum ResourcePolicyFilters {
    ANY = "any",
    ALL = "all"
}
export declare enum Policy {
    ROOT = "root",
    CREATE = "create",
    READ = "read",
    WRITE = "write",
    DELETE = "delete",
    ANY = "*"
}
export declare type ResourcePolicyString<Resource extends string> = `${Resource}.${Policy}`;
export declare type ResourcePolicyType<Resource extends string> = ResourcePolicy<Resource> | ResourcePolicyString<Resource>;
export declare type ResourcePolicyComputeType<Resource extends string> = Array<ResourcePolicyType<Resource>> | ResourcePolicyType<Resource>;
export declare class ResourcePolicy<Resource extends string> {
    resource: Resource;
    policy: Policy;
    static parsePolicy<Resource extends string>(policy: string): [Resource, Policy];
    static parseResourcePolicies<Resource extends string>(resources: ResourcePolicyComputeType<Resource>): ResourcePolicy<Resource>[];
    static multiAuthorizedTo<Resource extends string>(policies: ResourcePolicyComputeType<Resource>, required: ResourcePolicyComputeType<Resource>, filter?: ResourcePolicyFilters): boolean;
    constructor(resource: ResourcePolicyString<Resource>);
    toString(): ResourcePolicyString<Resource>;
    private authorizedTo;
    static asStrings<Resource extends string>(resourcePolicies: ResourcePolicy<Resource>[]): ResourcePolicyString<Resource>[];
    static multiple<Resource extends string>(...resourcePolicies: ResourcePolicyString<Resource>[]): ResourcePolicy<Resource>[];
}
