// Imports
import { Chalk } from "chalk";
const { redBright, greenBright, yellowBright, cyanBright, magentaBright } = new Chalk({ level: 2 });
// Logging
const logColor = (color, header, ...args) => console.log(color(header), ...args);
export const logError = (header, ...args) => logColor(redBright, header, ...args);
export const logConfirm = (header, ...args) => logColor(greenBright, header, ...args);
export const logWarn = (header, ...args) => logColor(yellowBright, header, ...args);
export const logInfo = (header, ...args) => logColor(cyanBright, header, ...args);
export const logVerbose = (header, ...args) => logColor(magentaBright, header, ...args);
export const ERR = (header, ...args) => logError(`[${header}]`, ...args);
export const OK = (header, ...args) => logConfirm(`[${header}]`, ...args);
export const WARN = (header, ...args) => logWarn(`[${header}]`, ...args);
export const INFO = (header, ...args) => logInfo(`[${header}]`, ...args);
export const VERB = (header, ...args) => logVerbose(`[${header}]`, ...args);
